#==================================================================================================
# Upstream patch for dylib versioning. Expected to be included in next release.
#
# See: https://gitlab.gnome.org/GNOME/libsecret/-/merge_requests/143
#
# Author: Christopher Nielsen @ MacPorts
# Date:   2024-03-27
#==================================================================================================
--- libsecret/meson.build.orig	2024-03-27 11:40:43.718979837 -0400
+++ libsecret/meson.build	2024-03-27 11:48:57.308550988 -0400
@@ -48,6 +48,13 @@
 version_major = version_numbers[0].to_int()
 version_minor = version_numbers[1].to_int()
 version_micro = version_numbers[2].to_int()
+
+dylib_ver_compat = api_version
+dylib_ver_current = api_version
+#message('dylib_ver_compat: ', dylib_ver_compat)
+#message('dylib_ver_current: ', dylib_ver_current)
+dylib_ver_array = [dylib_ver_compat, dylib_ver_current]
+
 version_h_conf = configuration_data({
   'SECRET_MAJOR_VERSION': version_major,
   'SECRET_MINOR_VERSION': version_minor,
@@ -87,6 +94,7 @@
 libsecret = library('secret-@0@'.format(api_version_major),
   [ libsecret_sources, _dbus_generated, _enums_generated ],
   version: libtool_version,
+  darwin_versions: dylib_ver_array,
   dependencies: libsecret_dependencies,
   link_with: libegg,
   c_args: libsecret_cflags,
